#include <iostream>
#include <cmath>

using namespace std;

char canvas[1024][2048];

void clear(short w, short h) {
    for (short row = 0; row < h; row++) {
        for (short col = 0; col < w; col++) {
            canvas[row][col] = ' ';
        }
    }
}

void draw(short x, short y) {
    canvas[y + 1][x] = '/';
    canvas[y + 1][x + 1] = '_';
    canvas[y + 1][x + 2] = '_';
    canvas[y + 1][x + 3] = '\\';
    canvas[y][x + 1] = '/';
    canvas[y][x + 2] = '\\';
}

void draw(short x, short y, short size) {
    if (size == 1) {
        draw(x, y);
    } else {
        short w = 1 << (size + 1);
        short h = 1 << size;
        draw(x + w / 2 - (1 << size) / 2, y, size - 1);
        draw(x, y + h / 2, size - 1);
        draw(x + w / 2, y + h / 2, size - 1);
    }
}

int main() {
    short size;
    cin >> size;

    short w = 1 << (size + 1);
    short h = 1 << size;

    clear(w, h);

    #ifdef DEBUG
    cout << w << " " << h << endl;
    #endif
    draw(0, 0, size);

    short spaces = w / 2 - 1;
    for (short row = 0; row < h; row++) {
        for (short col = 0; col < w - spaces; col++) {
            cout << canvas[row][col];
        }
        spaces--;
        cout << endl;
    }

	return 0;
}
